{"openapi":"3.1.0","info":{"title":"Atlas API","description":"Nomic Atlas API","version":"v0.57.0"},"servers":[{"url":"https://api-atlas.nomic.ai","description":"Atlas API"}],"paths":{"/v1/health/":{"get":{"tags":["Health"],"summary":"Health Check","description":"Runs a health check on this instance of the API.","operationId":"health_check_v1_health__get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/v1/organization/{organization_id_or_slug}":{"get":{"tags":["Organization"],"summary":"Fetch Organization","description":"Fetches all details about an organization.\nPresents limited amounts of information based on the user's affiliation with the organization.\nPagination with limit and offset parameters","operationId":"fetch_organization_v1_organization__organization_id_or_slug__get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"organization_id_or_slug","in":"path","required":true,"schema":{"type":"string","title":"Organization Id Or Slug"}},{"name":"offset_number","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Offset Number"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/OrganizationResponse"},{"$ref":"#/components/schemas/PublicOrganizationResponse"}],"title":"Response Fetch Organization V1 Organization  Organization Id Or Slug  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/organization/{organization_id_or_slug}/usage2":{"get":{"tags":["Organization"],"summary":"Get Organization Usage Handler","description":"Fetches the organization usage for the given period.","operationId":"get_organization_usage_handler_v1_organization__organization_id_or_slug__usage2_get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"organization_id_or_slug","in":"path","required":true,"schema":{"type":"string","title":"Organization Id Or Slug"}},{"name":"billing_period","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The _exact_ start date of the period to fetch usage for.","title":"Billing Period"},"description":"The _exact_ start date of the period to fetch usage for."},{"name":"offset_number","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Offset Number"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationUsageResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/organization/{organization_id_or_slug}/usage":{"get":{"tags":["Organization"],"summary":"Fetch Organization Usage","description":"Computes the organization usage in the past 1 month.\n\nsince_last_billing_date: If True and organization is on a paid tier, only returns usage after the last billing date.","operationId":"fetch_organization_usage_v1_organization__organization_id_or_slug__usage_get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"organization_id_or_slug","in":"path","required":true,"schema":{"type":"string","title":"Organization Id Or Slug"}},{"name":"since_last_billing_date","in":"query","required":false,"schema":{"type":"boolean","default":true,"title":"Since Last Billing Date"}},{"name":"offset_number","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Offset Number"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AtlasUsageResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/organization/{organization_id_or_slug}/usage/{usage_type}/within_limit":{"get":{"tags":["Organization"],"summary":"Check Organization Usage Totals Within Limit","operationId":"check_organization_usage_totals_within_limit_v1_organization__organization_id_or_slug__usage__usage_type__within_limit_get","security":[{"Auth0HTTPBearer":[]}],"parameters":[{"name":"usage_type","in":"path","required":true,"schema":{"$ref":"#/components/schemas/UsageType"}},{"name":"organization_id_or_slug","in":"path","required":true,"schema":{"type":"string","title":"Organization Id Or Slug"}},{"name":"offset_number","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Offset Number"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationUsageTotalLimit"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/organization/search/{slug}":{"get":{"tags":["Organization"],"summary":"Fetch Organization Id By Slug","description":"Returns the organization_id given a slug, even for private organizations.","operationId":"fetch_organization_id_by_slug_v1_organization_search__slug__get","parameters":[{"name":"slug","in":"path","required":true,"schema":{"type":"string","title":"Slug"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationIDResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/organization/rename":{"post":{"tags":["Organization"],"summary":"Update Organization Data","description":"Changes the organization nickname given the organization ID","operationId":"update_organization_data_v1_organization_rename_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateOrganizationRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/organization/update":{"post":{"tags":["Organization"],"summary":"Update Organization Data","description":"Changes the organization nickname given the organization ID","operationId":"update_organization_data_v1_organization_update_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateOrganizationRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/organization/create":{"post":{"tags":["Organization"],"summary":"Create Organization","description":"Creates an organization on the free tier and sets the owner to the user sending the request.","operationId":"create_organization_v1_organization_create_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOrganizationRequest"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOrganizationResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/organization/members/add":{"post":{"tags":["Organization"],"summary":"Add Organization Member","operationId":"add_organization_member_v1_organization_members_add_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddUserRequest"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/organization/members/delete":{"post":{"tags":["Organization"],"summary":"Remove Organization Member","description":"Removes a user from an organization.","operationId":"remove_organization_member_v1_organization_members_delete_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationMemberDeleteRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/organization/members/remove":{"post":{"tags":["Organization"],"summary":"Remove Organization Member","description":"Removes a user from an organization.","operationId":"remove_organization_member_v1_organization_members_remove_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrganizationMemberDeleteRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"deprecated":true,"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/organization/members/update":{"post":{"tags":["Organization"],"summary":"Modify Organization Member","description":"Modifies a user in an organization","operationId":"modify_organization_member_v1_organization_members_update_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ModifyUserRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/organization/members/modify":{"post":{"tags":["Organization"],"summary":"Modify Organization Member","description":"Modifies a user in an organization","operationId":"modify_organization_member_v1_organization_members_modify_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ModifyUserRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"deprecated":true,"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/user/":{"get":{"tags":["User"],"summary":"Fetch Current User","operationId":"fetch_current_user_v1_user__get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PrivateUser"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]},{"OAuth2PasswordBearer":[]}]}},"/v1/user/authorization/keys/{organization_id}/create":{"post":{"tags":["User"],"summary":"Create Api Key","description":"Creates a new API key with specified scope and permissions.\n\nBy default, API keys are scoped to an organization. Additionally, API keys can also be scoped to a specific dataset or a specific user.\n\nIf only key_name is provided in the request for creating an API key, the key will be scoped to the user's current organization.\n\nTo scope an API key to a specific organization by ID, set key_scope = \"ORGANIZATION\" and key_target_id with the UUID of the organization in the API key creation request.\n\nTo scope an API key to a specific dataset, set key_scope = \"DATASET\" and key_target_id with the UUID of the dataset in the API key creation request.\n\nTo scope an API key to a specific user, set key_scope = \"USER\" in the API key creation request.","operationId":"create_api_key_v1_user_authorization_keys__organization_id__create_post","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"organization_id","in":"path","required":true,"schema":{"type":"string","title":"Organization Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIKeyCreationRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIKeyCreationResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/user/authorization/keys/{organization_id}/delete":{"post":{"tags":["User"],"summary":"Delete Api Key","operationId":"delete_api_key_v1_user_authorization_keys__organization_id__delete_post","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"organization_id","in":"path","required":true,"schema":{"type":"string","title":"Organization Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIKeyDeletionRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/user/authorization/keys/{organization_id}":{"get":{"tags":["User"],"summary":"Get Api Keys","operationId":"get_api_keys_v1_user_authorization_keys__organization_id__get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"organization_id","in":"path","required":true,"schema":{"type":"string","title":"Organization Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIKeyListResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/user/token":{"post":{"tags":["User"],"summary":"Auth0 Obtain Token From Code","operationId":"auth0_obtain_token_from_code_v1_user_token_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ObtainAccessTokenRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/user/token/refresh/{refresh_token}":{"get":{"tags":["User"],"summary":"Auth0 Obtain Token From Refresh","operationId":"auth0_obtain_token_from_refresh_v1_user_token_refresh__refresh_token__get","parameters":[{"name":"refresh_token","in":"path","required":true,"schema":{"type":"string","title":"Refresh Token"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/user/authorize":{"get":{"tags":["User"],"summary":"Auth0 Authorize Redirect","operationId":"auth0_authorize_redirect_v1_user_authorize_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/v1/user/logout":{"get":{"tags":["User"],"summary":"Logout","operationId":"logout_v1_user_logout_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/v1/user/profile":{"get":{"tags":["User"],"summary":"Get User Profile","operationId":"get_user_profile_v1_user_profile_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]},"post":{"tags":["User"],"summary":"Post User Profile","operationId":"post_user_profile_v1_user_profile_post","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/project/{dataset_id}/data/upload/start":{"post":{"tags":["Project"],"summary":"Start a multipart upload and returns presigned urls for each part","operationId":"start_upload_v1_project__dataset_id__data_upload_start_post","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultipartUploadStart"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/{dataset_id}/data/upload/complete":{"post":{"tags":["Project"],"summary":"Complete a multipart upload","operationId":"complete_upload_v1_project__dataset_id__data_upload_complete_post","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultipartUploadComplete"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/{project_id}":{"get":{"tags":["Project"],"summary":"Fetch Project","description":"Fetches all details about a project.","operationId":"fetch_project_v1_project__project_id__get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"title":"Project Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Project"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/{project_id}/resources":{"get":{"tags":["Project"],"summary":"List all resources that have been created on a dataset","operationId":"list_resources_v1_project__project_id__resources_get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","title":"Project Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ResourceResponse"},"title":"Response List Resources V1 Project  Project Id  Resources Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["Project"],"summary":"Create resources for a dataset according to the specified chain","description":"Create a chain of resources for a dataset.\n\nThis endpoint allows you to specify a list of resources to create, with their dependencies.\nResources will be created in the correct order based on their dependencies.","operationId":"create_resources_v1_project__project_id__resources_post","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","title":"Project Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"anyOf":[{"$ref":"#/components/schemas/DATASET_CHECKPOINT_REQUEST"},{"$ref":"#/components/schemas/EMBEDDING_SET_REQUEST"},{"$ref":"#/components/schemas/EMBEDDING_SET_INFERRED_REQUEST"},{"$ref":"#/components/schemas/HNSW_INDEX_REQUEST"},{"$ref":"#/components/schemas/EMBEDDING_DERIVED_2D_COORDINATE_SET_REQUEST"},{"$ref":"#/components/schemas/RANDOM_COORDINATE_SET_REQUEST"},{"$ref":"#/components/schemas/UMAP_COORDINATE_SET_REQUEST"},{"$ref":"#/components/schemas/TSNE_COORDINATE_SET_REQUEST"},{"$ref":"#/components/schemas/SVD_COORDINATE_SET_REQUEST"},{"$ref":"#/components/schemas/PCA_COORDINATE_SET_REQUEST"},{"$ref":"#/components/schemas/NPV1_COORDINATE_SET_REQUEST"},{"$ref":"#/components/schemas/NPV2_COORDINATE_SET_REQUEST"},{"$ref":"#/components/schemas/CLUSTER_ASSIGNMENT_REQUEST"},{"$ref":"#/components/schemas/HDBSCAN_CLUSTER_ASSIGNMENT_REQUEST"},{"$ref":"#/components/schemas/CHECKPOINT_DESCRIPTION_REQUEST"},{"$ref":"#/components/schemas/QUADTREE_REQUEST"},{"$ref":"#/components/schemas/DUPLICATES_REQUEST"},{"$ref":"#/components/schemas/KEYWORDS_TOPIC_LABEL_REQUEST"},{"$ref":"#/components/schemas/LLM_TOPIC_LABEL_REQUEST"},{"$ref":"#/components/schemas/TOPIC_LABEL_POSITIONS_REQUEST"},{"$ref":"#/components/schemas/MAP_CHECKPOINT_REQUEST"},{"$ref":"#/components/schemas/SIDECAR_FROM_PARQUET_REQUEST"},{"$ref":"#/components/schemas/EMBEDDING_SIDECAR_REQUEST"},{"$ref":"#/components/schemas/SIDECAR_FROM_DATA_TABLE_REQUEST"},{"$ref":"#/components/schemas/CLUSTER_SIDECAR_REQUEST"},{"$ref":"#/components/schemas/OPENGRAPH_IMAGE_REQUEST"}]}}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ResourceResponse"},"title":"Response Create Resources V1 Project  Project Id  Resources Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/sidebar/list":{"get":{"tags":["Project"],"summary":"Fetch All Project","description":"Fetches all project for authenticated user.","operationId":"fetch_all_project_v1_project_sidebar_list_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectsResponse"}}}}},"deprecated":true,"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/project/":{"get":{"tags":["Project"],"summary":"Fetch All Project","description":"Fetches all project for authenticated user.","operationId":"fetch_all_project_v1_project__get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectsResponse"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/project/update":{"post":{"tags":["Project"],"summary":"Update Project Metadata","description":"Edit project metadata.","operationId":"update_project_metadata_v1_project_update_post","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"project_id","in":"query","required":true,"schema":{"title":"Project Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EditProjectRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/update/{project_id}":{"post":{"tags":["Project"],"summary":"Update Project Metadata","description":"Edit project metadata.","operationId":"update_project_metadata_v1_project_update__project_id__post","deprecated":true,"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"title":"Project Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EditProjectRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/search/vector":{"post":{"tags":["Project"],"summary":"Search Semantic","operationId":"search_semantic_v1_project_search_vector_post","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/project/search/id":{"get":{"tags":["Project"],"summary":"Search Semantic Id","operationId":"search_semantic_id_v1_project_search_id_get","security":[{"Auth0HTTPBearer":[]}],"parameters":[{"name":"project_id","in":"query","required":true,"schema":{"type":"string","description":"The ID of the project.","title":"Project Id"},"description":"The ID of the project."},{"name":"projection_id","in":"query","required":true,"schema":{"type":"string","description":"The ID of the projection.","title":"Projection Id"},"description":"The ID of the projection."},{"name":"tiles","in":"query","required":true,"schema":{"type":"string","description":"The tiles to be used, as a JSON-encoded list.","title":"Tiles"},"description":"The tiles to be used, as a JSON-encoded list."},{"name":"tix","in":"query","required":true,"schema":{"type":"integer","description":"The tile index where the search embedding is located","title":"Tix"},"description":"The tile index where the search embedding is located"},{"name":"rix","in":"query","required":true,"schema":{"type":"integer","description":"The row number of the embedding in its quadtree tile","title":"Rix"},"description":"The row number of the embedding in its quadtree tile"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/create":{"post":{"tags":["Project"],"summary":"Create New Project","description":"Create a project associated with an organization.","operationId":"create_new_project_v1_project_create_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateProjectRequest"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectCreatedResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/project/remove":{"post":{"tags":["Project"],"summary":"Remove A Project","description":"Remove a project associated with an organization.\nAdditionally, kick off background tasks to remove other projects that are not fully deleted.","operationId":"remove_a_project_v1_project_remove_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveProjectRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/project/index/remove":{"post":{"tags":["Project"],"summary":"Remove A Index","description":"Remove an index","operationId":"remove_a_index_v1_project_index_remove_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveIndexRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/project/update_indices":{"post":{"tags":["Project"],"summary":"Update Project Indices","description":"Updates the indices in a project that has unindexed progressively added data","operationId":"update_project_indices_v1_project_update_indices_post","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}},"deprecated":true,"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/project/data/delete":{"post":{"tags":["Project"],"summary":"Data Delete","description":"Deletes datums and corresponding atoms from the project. Does not reflect in project/index state until an\nindex update call if made (transaction commit)","operationId":"data_delete_v1_project_data_delete_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectDataDeleteRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/project/data/add/arrow":{"post":{"tags":["Project"],"summary":"Add Arrow","description":"Add data to a project in arrow format.","operationId":"add_arrow_v1_project_data_add_arrow_post","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddArrowSuccessResponse"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/project/{dataset_id}/last_modified":{"get":{"tags":["Project"],"summary":"Get Last Upload Timestamp","description":"Get the last timestamp for a change to lance dataset.","operationId":"get_last_upload_timestamp_v1_project__dataset_id__last_modified_get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddArrowSuccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/data/add/blobs":{"post":{"tags":["Project"],"summary":"Add Blob","description":"Add blob to S3 for usage within a map","operationId":"add_blob_v1_project_data_add_blobs_post","requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_add_blob_v1_project_data_add_blobs_post"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddBlobResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/project/data/get/blob/{dataset_id}/{blob_hash}":{"get":{"tags":["Project"],"summary":"Data Get Blob","operationId":"data_get_blob_v1_project_data_get_blob__dataset_id___blob_hash__get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}},{"name":"blob_hash","in":"path","required":true,"schema":{"type":"string","title":"Blob Hash"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetBlobResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/data/get/nearest_neighbors/by_embedding":{"post":{"tags":["Project"],"summary":"Nearest Neighbors By Embedding","operationId":"nearest_neighbors_by_embedding_v1_project_data_get_nearest_neighbors_by_embedding_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmbeddingNeighborRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmbeddingNeighborResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/project/data/get/nearest_neighbors/by_id":{"post":{"tags":["Project"],"summary":"Nearest Neighbors By Ids","operationId":"nearest_neighbors_by_ids_v1_project_data_get_nearest_neighbors_by_id_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmbeddingNeighborByIDRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmbeddingNeighborResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/project/projection/{map_id}/datums":{"get":{"tags":["Project"],"summary":"Datum Table","description":"Get a table of datums for a map","operationId":"datum_table_v1_project_projection__map_id__datums_get","security":[{"Auth0HTTPBearer":[]}],"parameters":[{"name":"map_id","in":"path","required":true,"schema":{"type":"string","title":"Map Id"}},{"name":"qid","in":"query","required":true,"schema":{"type":"array","items":{"type":"string"},"description":"The IDs of the datums to fetch, in 'tile-row' format","title":"Qid"},"description":"The IDs of the datums to fetch, in 'tile-row' format","example":["13-264"]},{"name":"response_type","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DatumTableResponseType","description":"The response type, either 'arrow' or 'json'","default":"arrow"},"description":"The response type, either 'arrow' or 'json'"},{"name":"columns","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"description":"The columns to fetch","title":"Columns"},"description":"The columns to fetch"},{"name":"summary","in":"query","required":false,"schema":{"default":"\n    Given a set of data identifiers in quadtree-location format,\n    return a table containing the requested columns for each row.\n    If no columns are specified, all non-embeddings on the dataset will be returned.\n\n    By default, this returns an Arrow table; however, JSON can be requested as well.\n\n    If requesting multiple ids at once, pass multiple qid parameters.\n\n    Example: /api/v1/project/projection/{map_id}/datums?columns=id&columns=embedding&response_type=json&qid=13-264&qid=13-265\n    ","title":"Summary"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["Project"],"summary":"Datum Table Post","description":"Get a table of datums for a map via POST request","operationId":"datum_table_post_v1_project_projection__map_id__datums_post","security":[{"Auth0HTTPBearer":[]}],"parameters":[{"name":"map_id","in":"path","required":true,"schema":{"type":"string","title":"Map Id"}},{"name":"summary","in":"query","required":false,"schema":{"default":"\n    Given a set of data identifiers in quadtree-location format,\n    return a table containing the requested columns for each row.\n    If no columns are specified, all non-embeddings on the dataset will be returned.\n\n    By default, this returns an Arrow table; however, JSON can be requested as well.\n\n    Request body should contain:\n    - qids: Array of quadtree-row IDs (e.g. [\"13-264\", \"13-265\"])\n    - response_type: Either 'arrow' or 'json'\n    - columns (optional): Array of column names to fetch\n    ","title":"Summary"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatumTableRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/data/get":{"post":{"tags":["Project"],"summary":"Get Datums By Ids Handler","operationId":"get_datums_by_ids_handler_v1_project_data_get_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetDatumRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetDatumResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/project/{dataset_id}/data/get":{"get":{"tags":["Project"],"summary":"Get Datums By Field Name","operationId":"get_datums_by_field_name_v1_project__dataset_id__data_get_get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataPointResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/atoms/get":{"post":{"tags":["Project"],"summary":"Atoms Get","operationId":"atoms_get_v1_project_atoms_get_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AtomsRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AtomsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/project/index/create":{"post":{"tags":["Project"],"summary":"Create Index","description":"Creates an index and returns the job id of the index creation job.","operationId":"create_index_v1_project_index_create_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAtlasIndexRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAtlasIndexResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/project/index/job/{job_id}":{"get":{"tags":["Project"],"summary":"Fetch Index Job","description":"Fetches an index job to the front-end.","operationId":"fetch_index_job_v1_project_index_job__job_id__get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","title":"Job Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IndexJob"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/index/job/progress/{index_id}":{"get":{"tags":["Project"],"summary":"Fetch Job Progress","description":"Fetches latest job data by index id.","operationId":"fetch_job_progress_v1_project_index_job_progress__index_id__get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"index_id","in":"path","required":true,"schema":{"type":"string","title":"Index Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobProgressResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/jobs/status/{index_id}":{"get":{"tags":["Project"],"summary":"Fetch Job System State","description":"Gets the state of the job system for a particular atlas index.","operationId":"fetch_job_system_state_v1_project_jobs_status__index_id__get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"index_id","in":"path","required":true,"schema":{"type":"string","title":"Index Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobSystemIndexStatusResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/{project_id}/index/projection/{projection_id}/quadtree/manifest.feather":{"get":{"tags":["Project"],"summary":"Quadtree Manifest","operationId":"quadtree_manifest_v1_project__project_id__index_projection__projection_id__quadtree_manifest_feather_get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","title":"Project Id"}},{"name":"projection_id","in":"path","required":true,"schema":{"type":"string","title":"Projection Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/{project_id}/index/projection/{projection_id}/quadtree/{quadtree_key}":{"post":{"tags":["Project"],"summary":"Fetch Quadtree Tile With Payload","operationId":"fetch_quadtree_tile_with_payload_v1_project__project_id__index_projection__projection_id__quadtree__quadtree_key__post","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","title":"Project Id"}},{"name":"projection_id","in":"path","required":true,"schema":{"type":"string","title":"Projection Id"}},{"name":"quadtree_key","in":"path","required":true,"schema":{"type":"string","title":"Quadtree Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["Project"],"summary":"Fetch Quadtree Tile","description":"Fetches a quadtree tile to the front-end.","operationId":"fetch_quadtree_tile_v1_project__project_id__index_projection__projection_id__quadtree__quadtree_key__get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","title":"Project Id"}},{"name":"projection_id","in":"path","required":true,"schema":{"type":"string","title":"Projection Id"}},{"name":"quadtree_key","in":"path","required":true,"schema":{"type":"string","title":"Quadtree Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/projection/{projection_id}/schema":{"get":{"tags":["Project"],"summary":"Fetch Schema","operationId":"fetch_schema_v1_project_projection__projection_id__schema_get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"projection_id","in":"path","required":true,"schema":{"type":"string","title":"Projection Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/{project_id}/index/projection/{projection_id}":{"get":{"tags":["Project"],"summary":"Fetch Map Information","description":"Fetches all information about a map such as topics, defaults, etc.","operationId":"fetch_map_information_v1_project__project_id__index_projection__projection_id__get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","title":"Project Id"}},{"name":"projection_id","in":"path","required":true,"schema":{"type":"string","title":"Projection Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/projection/alias/{projection_alias}":{"get":{"tags":["Project"],"summary":"Fetch Projection Alias","description":"Fetches project id and projection id from an alias.","operationId":"fetch_projection_alias_v1_project_projection_alias__projection_alias__get","parameters":[{"name":"projection_alias","in":"path","required":true,"schema":{"title":"Projection Alias"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectionAliasResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/projection/alias/edit/{project_id}":{"post":{"tags":["Project"],"summary":"Update Projection Alias","description":"Edit or add projection alias.","operationId":"update_projection_alias_v1_project_projection_alias_edit__project_id__post","security":[{"Auth0HTTPBearer":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"title":"Project Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EditProjectionAliasRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/projection/alias/get/{project_id}":{"post":{"tags":["Project"],"summary":"Fetch Projection Alias By Projection Id","description":"Get projection alias by projection id.","operationId":"fetch_projection_alias_by_projection_id_v1_project_projection_alias_get__project_id__post","security":[{"Auth0HTTPBearer":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"title":"Project Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetProjectionAliasRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetProjectionAliasResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/topics/update/{topic_model_id}":{"post":{"tags":["Project"],"summary":"Update Topic Model","description":"Updates a topic model geojson with updates to topic position or topic label.\nCurrently accomplishes this by accepting an entirely new geojson and replacing\nexisting one. Will eventually be more granular than that.","operationId":"update_topic_model_v1_project_topics_update__topic_model_id__post","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"topic_model_id","in":"path","required":true,"schema":{"type":"string","title":"Topic Model Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateTopicModelRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/{organization_slug}/project/{project_slug}":{"get":{"tags":["Project"],"summary":"Fetch Project By Slug","description":"Fetches all details about a project.","operationId":"fetch_project_by_slug_v1_project__organization_slug__project__project_slug__get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"organization_slug","in":"path","required":true,"schema":{"title":"Organization Slug"}},{"name":"project_slug","in":"path","required":true,"schema":{"title":"Project Slug"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Project"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/{organization_slug}/{project_slug}":{"get":{"tags":["Project"],"summary":"Fetch Project By Slug","description":"Fetches all details about a project.","operationId":"fetch_project_by_slug_v1_project__organization_slug___project_slug__get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"organization_slug","in":"path","required":true,"schema":{"title":"Organization Slug"}},{"name":"project_slug","in":"path","required":true,"schema":{"title":"Project Slug"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Project"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/projection/{projection_id}/view/{state_hash}":{"get":{"tags":["Project"],"summary":"Fetch Projection View From Hash","description":"Fetches state-view variables for a projection.","operationId":"fetch_projection_view_from_hash_v1_project_projection__projection_id__view__state_hash__get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"projection_id","in":"path","required":true,"schema":{"type":"string","title":"Projection Id"}},{"name":"state_hash","in":"path","required":true,"schema":{"type":"string","title":"State Hash"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/projection/{projection_id}/view":{"post":{"tags":["Project"],"summary":"Create Hash","description":"sets a projection state on a project","operationId":"create_hash_v1_project_projection__projection_id__view_post","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"projection_id","in":"path","required":true,"schema":{"type":"string","title":"Projection Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateProjectionViewRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/projection/{map_id}/get/dataset_id":{"get":{"tags":["Project"],"summary":"Get Project Id From Map Id","operationId":"get_project_id_from_map_id_v1_project_projection__map_id__get_dataset_id_get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"map_id","in":"path","required":true,"schema":{"type":"string","title":"Map Id"}},{"name":"summary","in":"query","required":false,"schema":{"default":"\n    Returns the dataset and index id for a given map id.\n    Example: /api/v1/project/projection/{map_id}/get/dataset_id\n","title":"Summary"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/analyst/log":{"post":{"tags":["Project"],"summary":"Log Analyst Request","operationId":"log_analyst_request_v1_project_analyst_log_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LogAnalystRequest"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]}]}},"/v1/project/analyst/log/{log_id}/rating":{"put":{"tags":["Project"],"summary":"Update Analyst Log Rating","operationId":"update_analyst_log_rating_v1_project_analyst_log__log_id__rating_put","security":[{"Auth0ImplicitBearer":[]}],"parameters":[{"name":"log_id","in":"path","required":true,"schema":{"type":"string","title":"Log Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnalystLogUpdateRatingRequest"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/analyst/log/{log_id}/flag":{"put":{"tags":["Project"],"summary":"Update Analyst Log Flag","operationId":"update_analyst_log_flag_v1_project_analyst_log__log_id__flag_put","security":[{"Auth0ImplicitBearer":[]}],"parameters":[{"name":"log_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Log Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnalystLogUpdateFlagRequest"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/projection/from_index/{index_id}":{"get":{"tags":["Project"],"summary":"Get Projection From Index","description":"Get the projection ID associated with an atlas index ID.","operationId":"get_projection_from_index_v1_project_projection_from_index__index_id__get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"index_id","in":"path","required":true,"schema":{"type":"string","title":"Index Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectionIdResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/{dataset_id}/members/":{"get":{"tags":["Project"],"summary":"Get Dataset Members","description":"Fetches all dataset members","operationId":"get_dataset_members_v1_project__dataset_id__members__get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DatasetMembershipWithPicture"},"title":"Response Get Dataset Members V1 Project  Dataset Id  Members  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/{dataset_id}/members/add":{"post":{"tags":["Project"],"summary":"Add Dataset Member","operationId":"add_dataset_member_v1_project__dataset_id__members_add_post","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetMemberCreateRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/{dataset_id}/members/update":{"post":{"tags":["Project"],"summary":"Add Dataset Member","operationId":"add_dataset_member_v1_project__dataset_id__members_update_post","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetMemberCreateRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/project/{dataset_id}/members/delete":{"post":{"tags":["Project"],"summary":"Remove Dataset Member","description":"Remove a dataset member","operationId":"remove_dataset_member_v1_project__dataset_id__members_delete_post","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetMemberDeleteRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/{dataset_id}/data/upload/start":{"post":{"tags":["Dataset"],"summary":"Start a multipart upload and returns presigned urls for each part","operationId":"start_upload_v1_dataset__dataset_id__data_upload_start_post","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultipartUploadStart"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/{dataset_id}/data/upload/complete":{"post":{"tags":["Dataset"],"summary":"Complete a multipart upload","operationId":"complete_upload_v1_dataset__dataset_id__data_upload_complete_post","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultipartUploadComplete"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/{project_id}":{"get":{"tags":["Dataset"],"summary":"Fetch Project","description":"Fetches all details about a project.","operationId":"fetch_project_v1_dataset__project_id__get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"title":"Project Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Project"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/{project_id}/resources":{"get":{"tags":["Dataset"],"summary":"List all resources that have been created on a dataset","operationId":"list_resources_v1_dataset__project_id__resources_get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","title":"Project Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ResourceResponse"},"title":"Response List Resources V1 Dataset  Project Id  Resources Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["Dataset"],"summary":"Create resources for a dataset according to the specified chain","description":"Create a chain of resources for a dataset.\n\nThis endpoint allows you to specify a list of resources to create, with their dependencies.\nResources will be created in the correct order based on their dependencies.","operationId":"create_resources_v1_dataset__project_id__resources_post","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","title":"Project Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"anyOf":[{"$ref":"#/components/schemas/DATASET_CHECKPOINT_REQUEST"},{"$ref":"#/components/schemas/EMBEDDING_SET_REQUEST"},{"$ref":"#/components/schemas/EMBEDDING_SET_INFERRED_REQUEST"},{"$ref":"#/components/schemas/HNSW_INDEX_REQUEST"},{"$ref":"#/components/schemas/EMBEDDING_DERIVED_2D_COORDINATE_SET_REQUEST"},{"$ref":"#/components/schemas/RANDOM_COORDINATE_SET_REQUEST"},{"$ref":"#/components/schemas/UMAP_COORDINATE_SET_REQUEST"},{"$ref":"#/components/schemas/TSNE_COORDINATE_SET_REQUEST"},{"$ref":"#/components/schemas/SVD_COORDINATE_SET_REQUEST"},{"$ref":"#/components/schemas/PCA_COORDINATE_SET_REQUEST"},{"$ref":"#/components/schemas/NPV1_COORDINATE_SET_REQUEST"},{"$ref":"#/components/schemas/NPV2_COORDINATE_SET_REQUEST"},{"$ref":"#/components/schemas/CLUSTER_ASSIGNMENT_REQUEST"},{"$ref":"#/components/schemas/HDBSCAN_CLUSTER_ASSIGNMENT_REQUEST"},{"$ref":"#/components/schemas/CHECKPOINT_DESCRIPTION_REQUEST"},{"$ref":"#/components/schemas/QUADTREE_REQUEST"},{"$ref":"#/components/schemas/DUPLICATES_REQUEST"},{"$ref":"#/components/schemas/KEYWORDS_TOPIC_LABEL_REQUEST"},{"$ref":"#/components/schemas/LLM_TOPIC_LABEL_REQUEST"},{"$ref":"#/components/schemas/TOPIC_LABEL_POSITIONS_REQUEST"},{"$ref":"#/components/schemas/MAP_CHECKPOINT_REQUEST"},{"$ref":"#/components/schemas/SIDECAR_FROM_PARQUET_REQUEST"},{"$ref":"#/components/schemas/EMBEDDING_SIDECAR_REQUEST"},{"$ref":"#/components/schemas/SIDECAR_FROM_DATA_TABLE_REQUEST"},{"$ref":"#/components/schemas/CLUSTER_SIDECAR_REQUEST"},{"$ref":"#/components/schemas/OPENGRAPH_IMAGE_REQUEST"}]}}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ResourceResponse"},"title":"Response Create Resources V1 Dataset  Project Id  Resources Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/sidebar/list":{"get":{"tags":["Dataset"],"summary":"Fetch All Project","description":"Fetches all project for authenticated user.","operationId":"fetch_all_project_v1_dataset_sidebar_list_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectsResponse"}}}}},"deprecated":true,"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/dataset/":{"get":{"tags":["Dataset"],"summary":"Fetch All Project","description":"Fetches all project for authenticated user.","operationId":"fetch_all_project_v1_dataset__get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectsResponse"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/dataset/update":{"post":{"tags":["Dataset"],"summary":"Update Project Metadata","description":"Edit project metadata.","operationId":"update_project_metadata_v1_dataset_update_post","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"project_id","in":"query","required":true,"schema":{"title":"Project Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EditProjectRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/update/{project_id}":{"post":{"tags":["Dataset"],"summary":"Update Project Metadata","description":"Edit project metadata.","operationId":"update_project_metadata_v1_dataset_update__project_id__post","deprecated":true,"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"title":"Project Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EditProjectRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/search/vector":{"post":{"tags":["Dataset"],"summary":"Search Semantic","operationId":"search_semantic_v1_dataset_search_vector_post","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/dataset/search/id":{"get":{"tags":["Dataset"],"summary":"Search Semantic Id","operationId":"search_semantic_id_v1_dataset_search_id_get","security":[{"Auth0HTTPBearer":[]}],"parameters":[{"name":"project_id","in":"query","required":true,"schema":{"type":"string","description":"The ID of the project.","title":"Project Id"},"description":"The ID of the project."},{"name":"projection_id","in":"query","required":true,"schema":{"type":"string","description":"The ID of the projection.","title":"Projection Id"},"description":"The ID of the projection."},{"name":"tiles","in":"query","required":true,"schema":{"type":"string","description":"The tiles to be used, as a JSON-encoded list.","title":"Tiles"},"description":"The tiles to be used, as a JSON-encoded list."},{"name":"tix","in":"query","required":true,"schema":{"type":"integer","description":"The tile index where the search embedding is located","title":"Tix"},"description":"The tile index where the search embedding is located"},{"name":"rix","in":"query","required":true,"schema":{"type":"integer","description":"The row number of the embedding in its quadtree tile","title":"Rix"},"description":"The row number of the embedding in its quadtree tile"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/create":{"post":{"tags":["Dataset"],"summary":"Create New Project","description":"Create a project associated with an organization.","operationId":"create_new_project_v1_dataset_create_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateProjectRequest"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectCreatedResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/dataset/remove":{"post":{"tags":["Dataset"],"summary":"Remove A Project","description":"Remove a project associated with an organization.\nAdditionally, kick off background tasks to remove other projects that are not fully deleted.","operationId":"remove_a_project_v1_dataset_remove_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveProjectRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/dataset/index/remove":{"post":{"tags":["Dataset"],"summary":"Remove A Index","description":"Remove an index","operationId":"remove_a_index_v1_dataset_index_remove_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RemoveIndexRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/dataset/update_indices":{"post":{"tags":["Dataset"],"summary":"Update Project Indices","description":"Updates the indices in a project that has unindexed progressively added data","operationId":"update_project_indices_v1_dataset_update_indices_post","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}},"deprecated":true,"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/dataset/data/delete":{"post":{"tags":["Dataset"],"summary":"Data Delete","description":"Deletes datums and corresponding atoms from the project. Does not reflect in project/index state until an\nindex update call if made (transaction commit)","operationId":"data_delete_v1_dataset_data_delete_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectDataDeleteRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/dataset/data/add/arrow":{"post":{"tags":["Dataset"],"summary":"Add Arrow","description":"Add data to a project in arrow format.","operationId":"add_arrow_v1_dataset_data_add_arrow_post","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddArrowSuccessResponse"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/dataset/{dataset_id}/last_modified":{"get":{"tags":["Dataset"],"summary":"Get Last Upload Timestamp","description":"Get the last timestamp for a change to lance dataset.","operationId":"get_last_upload_timestamp_v1_dataset__dataset_id__last_modified_get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddArrowSuccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/data/add/blobs":{"post":{"tags":["Dataset"],"summary":"Add Blob","description":"Add blob to S3 for usage within a map","operationId":"add_blob_v1_dataset_data_add_blobs_post","requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_add_blob_v1_dataset_data_add_blobs_post"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddBlobResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/dataset/data/get/blob/{dataset_id}/{blob_hash}":{"get":{"tags":["Dataset"],"summary":"Data Get Blob","operationId":"data_get_blob_v1_dataset_data_get_blob__dataset_id___blob_hash__get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}},{"name":"blob_hash","in":"path","required":true,"schema":{"type":"string","title":"Blob Hash"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetBlobResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/data/get/nearest_neighbors/by_embedding":{"post":{"tags":["Dataset"],"summary":"Nearest Neighbors By Embedding","operationId":"nearest_neighbors_by_embedding_v1_dataset_data_get_nearest_neighbors_by_embedding_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmbeddingNeighborRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmbeddingNeighborResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/dataset/data/get/nearest_neighbors/by_id":{"post":{"tags":["Dataset"],"summary":"Nearest Neighbors By Ids","operationId":"nearest_neighbors_by_ids_v1_dataset_data_get_nearest_neighbors_by_id_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmbeddingNeighborByIDRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmbeddingNeighborResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/dataset/projection/{map_id}/datums":{"get":{"tags":["Dataset"],"summary":"Datum Table","description":"Get a table of datums for a map","operationId":"datum_table_v1_dataset_projection__map_id__datums_get","security":[{"Auth0HTTPBearer":[]}],"parameters":[{"name":"map_id","in":"path","required":true,"schema":{"type":"string","title":"Map Id"}},{"name":"qid","in":"query","required":true,"schema":{"type":"array","items":{"type":"string"},"description":"The IDs of the datums to fetch, in 'tile-row' format","title":"Qid"},"description":"The IDs of the datums to fetch, in 'tile-row' format","example":["13-264"]},{"name":"response_type","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DatumTableResponseType","description":"The response type, either 'arrow' or 'json'","default":"arrow"},"description":"The response type, either 'arrow' or 'json'"},{"name":"columns","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}],"description":"The columns to fetch","title":"Columns"},"description":"The columns to fetch"},{"name":"summary","in":"query","required":false,"schema":{"default":"\n    Given a set of data identifiers in quadtree-location format,\n    return a table containing the requested columns for each row.\n    If no columns are specified, all non-embeddings on the dataset will be returned.\n\n    By default, this returns an Arrow table; however, JSON can be requested as well.\n\n    If requesting multiple ids at once, pass multiple qid parameters.\n\n    Example: /api/v1/project/projection/{map_id}/datums?columns=id&columns=embedding&response_type=json&qid=13-264&qid=13-265\n    ","title":"Summary"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["Dataset"],"summary":"Datum Table Post","description":"Get a table of datums for a map via POST request","operationId":"datum_table_post_v1_dataset_projection__map_id__datums_post","security":[{"Auth0HTTPBearer":[]}],"parameters":[{"name":"map_id","in":"path","required":true,"schema":{"type":"string","title":"Map Id"}},{"name":"summary","in":"query","required":false,"schema":{"default":"\n    Given a set of data identifiers in quadtree-location format,\n    return a table containing the requested columns for each row.\n    If no columns are specified, all non-embeddings on the dataset will be returned.\n\n    By default, this returns an Arrow table; however, JSON can be requested as well.\n\n    Request body should contain:\n    - qids: Array of quadtree-row IDs (e.g. [\"13-264\", \"13-265\"])\n    - response_type: Either 'arrow' or 'json'\n    - columns (optional): Array of column names to fetch\n    ","title":"Summary"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatumTableRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/data/get":{"post":{"tags":["Dataset"],"summary":"Get Datums By Ids Handler","operationId":"get_datums_by_ids_handler_v1_dataset_data_get_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetDatumRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetDatumResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/dataset/{dataset_id}/data/get":{"get":{"tags":["Dataset"],"summary":"Get Datums By Field Name","operationId":"get_datums_by_field_name_v1_dataset__dataset_id__data_get_get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataPointResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/atoms/get":{"post":{"tags":["Dataset"],"summary":"Atoms Get","operationId":"atoms_get_v1_dataset_atoms_get_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AtomsRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AtomsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/dataset/index/create":{"post":{"tags":["Dataset"],"summary":"Create Index","description":"Creates an index and returns the job id of the index creation job.","operationId":"create_index_v1_dataset_index_create_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAtlasIndexRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAtlasIndexResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}]}},"/v1/dataset/index/job/{job_id}":{"get":{"tags":["Dataset"],"summary":"Fetch Index Job","description":"Fetches an index job to the front-end.","operationId":"fetch_index_job_v1_dataset_index_job__job_id__get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"job_id","in":"path","required":true,"schema":{"type":"string","title":"Job Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IndexJob"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/index/job/progress/{index_id}":{"get":{"tags":["Dataset"],"summary":"Fetch Job Progress","description":"Fetches latest job data by index id.","operationId":"fetch_job_progress_v1_dataset_index_job_progress__index_id__get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"index_id","in":"path","required":true,"schema":{"type":"string","title":"Index Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobProgressResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/jobs/status/{index_id}":{"get":{"tags":["Dataset"],"summary":"Fetch Job System State","description":"Gets the state of the job system for a particular atlas index.","operationId":"fetch_job_system_state_v1_dataset_jobs_status__index_id__get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"index_id","in":"path","required":true,"schema":{"type":"string","title":"Index Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobSystemIndexStatusResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/{project_id}/index/projection/{projection_id}/quadtree/manifest.feather":{"get":{"tags":["Dataset"],"summary":"Quadtree Manifest","operationId":"quadtree_manifest_v1_dataset__project_id__index_projection__projection_id__quadtree_manifest_feather_get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","title":"Project Id"}},{"name":"projection_id","in":"path","required":true,"schema":{"type":"string","title":"Projection Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/{project_id}/index/projection/{projection_id}/quadtree/{quadtree_key}":{"post":{"tags":["Dataset"],"summary":"Fetch Quadtree Tile With Payload","operationId":"fetch_quadtree_tile_with_payload_v1_dataset__project_id__index_projection__projection_id__quadtree__quadtree_key__post","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","title":"Project Id"}},{"name":"projection_id","in":"path","required":true,"schema":{"type":"string","title":"Projection Id"}},{"name":"quadtree_key","in":"path","required":true,"schema":{"type":"string","title":"Quadtree Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["Dataset"],"summary":"Fetch Quadtree Tile","description":"Fetches a quadtree tile to the front-end.","operationId":"fetch_quadtree_tile_v1_dataset__project_id__index_projection__projection_id__quadtree__quadtree_key__get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","title":"Project Id"}},{"name":"projection_id","in":"path","required":true,"schema":{"type":"string","title":"Projection Id"}},{"name":"quadtree_key","in":"path","required":true,"schema":{"type":"string","title":"Quadtree Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/projection/{projection_id}/schema":{"get":{"tags":["Dataset"],"summary":"Fetch Schema","operationId":"fetch_schema_v1_dataset_projection__projection_id__schema_get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"projection_id","in":"path","required":true,"schema":{"type":"string","title":"Projection Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/{project_id}/index/projection/{projection_id}":{"get":{"tags":["Dataset"],"summary":"Fetch Map Information","description":"Fetches all information about a map such as topics, defaults, etc.","operationId":"fetch_map_information_v1_dataset__project_id__index_projection__projection_id__get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","title":"Project Id"}},{"name":"projection_id","in":"path","required":true,"schema":{"type":"string","title":"Projection Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/projection/alias/{projection_alias}":{"get":{"tags":["Dataset"],"summary":"Fetch Projection Alias","description":"Fetches project id and projection id from an alias.","operationId":"fetch_projection_alias_v1_dataset_projection_alias__projection_alias__get","parameters":[{"name":"projection_alias","in":"path","required":true,"schema":{"title":"Projection Alias"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectionAliasResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/projection/alias/edit/{project_id}":{"post":{"tags":["Dataset"],"summary":"Update Projection Alias","description":"Edit or add projection alias.","operationId":"update_projection_alias_v1_dataset_projection_alias_edit__project_id__post","security":[{"Auth0HTTPBearer":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"title":"Project Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EditProjectionAliasRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/projection/alias/get/{project_id}":{"post":{"tags":["Dataset"],"summary":"Fetch Projection Alias By Projection Id","description":"Get projection alias by projection id.","operationId":"fetch_projection_alias_by_projection_id_v1_dataset_projection_alias_get__project_id__post","security":[{"Auth0HTTPBearer":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"title":"Project Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetProjectionAliasRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetProjectionAliasResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/topics/update/{topic_model_id}":{"post":{"tags":["Dataset"],"summary":"Update Topic Model","description":"Updates a topic model geojson with updates to topic position or topic label.\nCurrently accomplishes this by accepting an entirely new geojson and replacing\nexisting one. Will eventually be more granular than that.","operationId":"update_topic_model_v1_dataset_topics_update__topic_model_id__post","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"topic_model_id","in":"path","required":true,"schema":{"type":"string","title":"Topic Model Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateTopicModelRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/{organization_slug}/project/{project_slug}":{"get":{"tags":["Dataset"],"summary":"Fetch Project By Slug","description":"Fetches all details about a project.","operationId":"fetch_project_by_slug_v1_dataset__organization_slug__project__project_slug__get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"organization_slug","in":"path","required":true,"schema":{"title":"Organization Slug"}},{"name":"project_slug","in":"path","required":true,"schema":{"title":"Project Slug"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Project"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/{organization_slug}/{project_slug}":{"get":{"tags":["Dataset"],"summary":"Fetch Project By Slug","description":"Fetches all details about a project.","operationId":"fetch_project_by_slug_v1_dataset__organization_slug___project_slug__get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"organization_slug","in":"path","required":true,"schema":{"title":"Organization Slug"}},{"name":"project_slug","in":"path","required":true,"schema":{"title":"Project Slug"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Project"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/projection/{projection_id}/view/{state_hash}":{"get":{"tags":["Dataset"],"summary":"Fetch Projection View From Hash","description":"Fetches state-view variables for a projection.","operationId":"fetch_projection_view_from_hash_v1_dataset_projection__projection_id__view__state_hash__get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"projection_id","in":"path","required":true,"schema":{"type":"string","title":"Projection Id"}},{"name":"state_hash","in":"path","required":true,"schema":{"type":"string","title":"State Hash"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/projection/{projection_id}/view":{"post":{"tags":["Dataset"],"summary":"Create Hash","description":"sets a projection state on a project","operationId":"create_hash_v1_dataset_projection__projection_id__view_post","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"projection_id","in":"path","required":true,"schema":{"type":"string","title":"Projection Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateProjectionViewRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/projection/{map_id}/get/dataset_id":{"get":{"tags":["Dataset"],"summary":"Get Project Id From Map Id","operationId":"get_project_id_from_map_id_v1_dataset_projection__map_id__get_dataset_id_get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"map_id","in":"path","required":true,"schema":{"type":"string","title":"Map Id"}},{"name":"summary","in":"query","required":false,"schema":{"default":"\n    Returns the dataset and index id for a given map id.\n    Example: /api/v1/project/projection/{map_id}/get/dataset_id\n","title":"Summary"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/analyst/log":{"post":{"tags":["Dataset"],"summary":"Log Analyst Request","operationId":"log_analyst_request_v1_dataset_analyst_log_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LogAnalystRequest"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Auth0ImplicitBearer":[]}]}},"/v1/dataset/analyst/log/{log_id}/rating":{"put":{"tags":["Dataset"],"summary":"Update Analyst Log Rating","operationId":"update_analyst_log_rating_v1_dataset_analyst_log__log_id__rating_put","security":[{"Auth0ImplicitBearer":[]}],"parameters":[{"name":"log_id","in":"path","required":true,"schema":{"type":"string","title":"Log Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnalystLogUpdateRatingRequest"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/analyst/log/{log_id}/flag":{"put":{"tags":["Dataset"],"summary":"Update Analyst Log Flag","operationId":"update_analyst_log_flag_v1_dataset_analyst_log__log_id__flag_put","security":[{"Auth0ImplicitBearer":[]}],"parameters":[{"name":"log_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Log Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnalystLogUpdateFlagRequest"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/projection/from_index/{index_id}":{"get":{"tags":["Dataset"],"summary":"Get Projection From Index","description":"Get the projection ID associated with an atlas index ID.","operationId":"get_projection_from_index_v1_dataset_projection_from_index__index_id__get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"index_id","in":"path","required":true,"schema":{"type":"string","title":"Index Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectionIdResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/{dataset_id}/members/":{"get":{"tags":["Dataset"],"summary":"Get Dataset Members","description":"Fetches all dataset members","operationId":"get_dataset_members_v1_dataset__dataset_id__members__get","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DatasetMembershipWithPicture"},"title":"Response Get Dataset Members V1 Dataset  Dataset Id  Members  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/{dataset_id}/members/add":{"post":{"tags":["Dataset"],"summary":"Add Dataset Member","operationId":"add_dataset_member_v1_dataset__dataset_id__members_add_post","security":[{"Auth0ImplicitBearer":[]},{"Auth0HTTPBearer":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","title":"Dataset Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetMemberCreateRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/dataset/{dataset_id}/members/update":{"post":{"tags":
[...]
